pydo.apps.list_metrics_bandwidth_daily()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.apps.list_metrics_bandwidth_daily(
    body={
        "app_ids": [...],
        "date": "2023-01-17T00:00:00Z",
    },
)
Returns JSONRaises HttpResponseError

Description

Retrieve daily bandwidth usage metrics for multiple apps.

Parameters

app_ids array of strings required

Example: ['4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf', 'c2a93513-8d9b-4223-9d61-5e7272c81cf5']

A list of app IDs to query bandwidth metrics for.

date string optional

Example: 2023-01-17T00:00:00Z

Optional day to query. Only the date component of the timestamp will be considered. Default: yesterday.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
    "app_ids": [
        "4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
        "c2a93513-8d9b-4223-9d61-5e7272c81cf5",
    ],
    "date": "2023-01-17T00:00:00Z",
}

get_resp = client.apps.list_metrics_bandwidth_daily(body=req)

Response Example

Show Response Example
{
  "app_bandwidth_usage": [
    {
      "app_id": "4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
      "bandwidth_bytes": "513668"
    },
    {
      "app_id": "c2a93513-8d9b-4223-9d61-5e7272c81cf5",
      "bandwidth_bytes": "254847"
    }
  ],
  "date": "2023-01-17T00:00:00Z"
}

More Information

See /v2/apps/metrics/bandwidth_daily in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.